当前位置:首页-安全资讯科技资讯-正文

新的KCodes NetUSB漏洞影响全球多个品牌的多种支持USB的路由器

基于功能考虑现在很多路由器都已经支持USB接口,例如可以通过USB接口连接可移动存储设备将路由器当成小型NAS来共享文件,也可以连接打印机通过路由器来实现USB打印机的局域网共享等。

而让路由器支持USB设备的是KCodes NetUSB模块,该模块实际上是一个Linux内核模块,可以让本地网络上的设备通过IP提供基于USB服务。多数Linux嵌入式设备典型的就是路由器都采用该模块来实现USB的各种功能。

本次发现的安全漏洞是CVE-2021-45608,由安全公司SentineLabs在2021年9月9日发现并在10月4日提交给KCodes,经过验证后KCodes确认该漏洞的存在,漏洞评分高达9.8分/10分。

漏洞主要与缓冲区溢出有关,如果成功利用漏洞攻击者可以在内核里远程执行任意代码包括但不限于安装恶意软件实现MIMT中间人劫持或者监控等,而漏洞编号对应的是网件路由器漏洞说明,但实际上此漏洞影响全球数以百万台支持USB接口的路由器。

KCodes倒也是非常负责,在接到漏洞通报后于2021年11月19日向所有供应商发布补丁修复这枚漏洞,之后网件发布更新修复部分路由器存在的漏洞,但更多路由器暂时没有固件无法修复漏洞。

受影响的路由器品牌包括但不限于TP-link、网件、腾达、D-link、西部数据等等,考虑当前多数路由器没有修复漏洞,研究人员披露此报告时没有发布概念验证代码,不过研究人员表示很多路由器已经停止更新可能压根无法修复漏洞。

注:是否使用USB功能不影响攻击者利用NetUSB漏洞。

感谢您的阅读,若本文未注明来源其他网站则版权归蓝点网所有,若已注明来源则版权归源站所有,转载时请注明蓝点网和/或源站链接。